summaryrefslogtreecommitdiffstats
path: root/modules/retiolum/bin/addipv6
diff options
context:
space:
mode:
Diffstat (limited to 'modules/retiolum/bin/addipv6')
-rwxr-xr-xmodules/retiolum/bin/addipv619
1 files changed, 19 insertions, 0 deletions
diff --git a/modules/retiolum/bin/addipv6 b/modules/retiolum/bin/addipv6
new file mode 100755
index 00000000..da82e0d1
--- /dev/null
+++ b/modules/retiolum/bin/addipv6
@@ -0,0 +1,19 @@
+#! /bin/sh
+#
+# Add IPv6 to the retiolum interface.
+#
+# usage: addipv6
+#
+set -euf
+
+file=/etc/tinc/retiolum/hosts/`hostname`
+addr=`sed -rn 's|^Subnet *= *(42:[0-9A-Fa-f:]*/128)|\1|p' $file`
+
+if test `id -u` != 0; then
+ echo "we're going sudo..." >&2
+ exec sudo "$0" "$@"
+ exit 23 # go to hell
+fi
+
+ip -6 addr add $addr dev retiolum
+ip -6 route add 42::/16 dev retiolum